Mandrake Linux Security Advisory : libneon (MDKSA-2004:032)

Medium Nessus Plugin ID 14131


The remote Mandrake Linux host is missing one or more security updates.


A number of various format string vulnerabilities were discovered in the error output handling of Neon, the HTTP and WebDAV client library, by Thomas Wana. These problems affect all versions of Neon from 0.19.0 up to and including 0.24.4.

All users are encouraged to upgrade. All client software using this library is affected.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 14131

File Name: mandrake_MDKSA-2004-032.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64neon0.24, p-cpe:/a:mandriva:linux:lib64neon0.24-devel, p-cpe:/a:mandriva:linux:lib64neon0.24-static-devel, p-cpe:/a:mandriva:linux:libneon0.24, p-cpe:/a:mandriva:linux:libneon0.24-devel, p-cpe:/a:mandriva:linux:libneon0.24-static-devel, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:9.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2004/04/19

Reference Information

CVE: CVE-2004-0179

MDKSA: 2004:032